Bug 450842 - [fix available] ooimpress crashes on inserting a password protected file
[fix available] ooimpress crashes on inserting a password protected file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: David Tardon
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:56 EDT by Xiaohong Wang
Modified: 2009-01-20 21:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:21:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 90612 None None None Never

  None (edit)
Description Xiaohong Wang 2008-06-11 05:56:22 EDT
Description of problem:


Version-Release number of selected component (if applicable):
openoffice.org-*-2.3.0-6.5.1.el5_2

How reproducible:
always

Steps to Reproduce:
1. save an Impress file with password
2. create a new Impress file
3. Insert -> File -> open the file in step 1 -> press several ok button
  
Actual results:
ooimpress got crashed

Expected results:


Additional info:
pls refer to <http://nfs.nay.redhat.com/xwang/logs/crash-insertfile>
Comment 1 Caolan McNamara 2008-06-11 06:26:30 EDT
Does this work with 2.3.0-6.5 the previous release ?

I get this with the very latest release as well, so can you confirm that it is
not a regression ?

It's a most excellent qa discovered bug, but I suspect that its not a new one in
this release.
Comment 2 Caolan McNamara 2008-06-11 07:34:56 EDT
Reproduced, and analysed, and I've logged the fix upstream as
http://www.openoffice.org/issues/show_bug.cgi?id=90612

This isn't a regression from the previous RHEL-5.2 release and has existed in
OOo for some time. So it shouldn't block the current security errata. 

So we should treat it as a normal bug and fix it in a normal bug-fixing errata
if given the appropriate acks
Comment 3 RHEL Product and Program Management 2008-06-11 07:45:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Caolan McNamara 2008-07-15 05:09:08 EDT
checked in, will be in >= 2.3.0-6.7
Comment 7 Suqin Huang 2008-10-31 03:47:56 EDT
This issue is also present in openoffice.org-2.3.0-6.5.4.el5_2
Comment 8 Caolan McNamara 2008-10-31 04:29:46 EDT
Yes, that's to be expected. This is a 5.3.0 bug, fixed in >= 2.3.0-6.7 (latest RHEL-5.3.0 build is 2.3.0-6.10) while openoffice.org-2.3.0-6.5.4.el5_2 is a 5.2.z security release. So the bug shouldn't be seen in 5.3.0 stream, but should remain in 5.2.z streams
Comment 10 errata-xmlrpc 2009-01-20 21:21:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0121.html

Note You need to log in before you can comment on or make changes to this bug.